
displacement cyslice_subd_disp(
	float   Km  				= 1.0;	/* displacement magnitude	*/
	string	cyslice_subd_normS	= "";	/* texture space normal map	*/
	string	cyslice_subd_normU	= "";	/* tangent space normal map	*/
	string	cyslice_subd_disp	= "")	/* displacement map			*/
{
	if( cyslice_subd_disp != "")
	{
		float   	magnitude,
					level;

		level 		= float 
			texture( 
				cyslice_subd_disp, 
				s, 
				1 - t,
				"swidth", 0.0001,
				"twidth", 0.0001,
				"samples", 1);

		magnitude	= ((level * 2) - 1) * Km;

		P	+= normalize( N) * magnitude;

		if( (cyslice_subd_normS == "") && (cyslice_subd_normU == ""))
		{
			N	= calculatenormal( P);
		}
	}
}

